Skip to main content
GET
Get a concise user profile

Authorizations

Authorization
string
header
required

Raw database-backed API key.

Query Parameters

user
string
required

A 20-byte 0x wallet address, @username, or bare Polymarket username.

Required string length: 1 - 255
include
string

Comma-separated optional response sections.

Pattern: ^(history|analytics|categories|rewards)(,(history|analytics|categories|rewards))*$
window_days
integer
default:90

Lookback for history, analytics risk metrics, and rewards. Requires a corresponding include.

Required range: 1 <= x <= 365
bucket_cents
enum<integer>
default:10

Price-bucket width; must divide 100 evenly and requires include=analytics.

Available options:
1,
2,
4,
5,
10,
20,
25,
50,
100

Response

Lightweight profile with any requested optional sections.

address
string
required
Pattern: ^0x[0-9a-f]{40}$
username
string | null
required
profile_image_url
string<uri> | null
required
is_human
boolean | null
required
first_activity_at
string<date-time> | null
required
last_activity_at
string<date-time> | null
required
as_of
string<date-time>
required
summary
object
required
history
object
analytics
object
categories
object
rewards
object